Bug 72804 - [Gtk] Regression: Push buttons no longer expose their displayed text/name
: [Gtk] Regression: Push buttons no longer expose their displayed text/name
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Accessibility
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2011-11-19 11:28 PST by Joanmarie Diggs (irc: joanie)
Modified: 2011-11-29 03:01 PST (History)
3 users (show)

See Also:


Attachments
test case (208 bytes, text/html)
2011-11-19 11:28 PST, Joanmarie Diggs (irc: joanie)
no flags Details
Patch proposal + layout test (5.97 KB, patch)
2011-11-25 10:35 PST, Mario Sanchez Prada
cfleizach: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2011-11-19 11:28:50 PST
Created attachment 115957 [details]
test case

Step to reproduce:

1. Open the attached test case in Epiphany and examine it with Accerciser

Expected result: The text displayed on the button ('Search') would be exposed to ATs. Ideally as the button's name.

Actual result: The text displayed on the button is not exposed to ATs.
Comment 1 Mario Sanchez Prada 2011-11-25 10:35:12 PST
Created attachment 116633 [details]
Patch proposal + layout test
Comment 2 Mario Sanchez Prada 2011-11-25 10:35:30 PST
Adding reviewers to CC
Comment 3 chris fleizach 2011-11-28 11:47:51 PST
Comment on attachment 116633 [details]
Patch proposal + layout test

r=me
Comment 4 Mario Sanchez Prada 2011-11-29 03:01:15 PST
Committed r101348: <http://trac.webkit.org/changeset/101348>